| SX126x-Arduino 2.0.1

Data Fields
uMibParam Union Reference
LoRa MAC layer implementation

`#include <LoRaMac.h>`

## Data Fields
DeviceClass_t | Class
eJoinStatus_t | IsNetworkJoined
bool | AdrEnable
uint32_t | NetID
uint32_t | DevAddr
uint8_t * | NwkSKey
uint8_t * | AppSKey
bool | EnablePublicNetwork
bool | EnableRepeaterSupport
ChannelParams_t * | ChannelList
Rx2ChannelParams_t | Rx2Channel
Rx2ChannelParams_t | Rx2DefaultChannel
uint16_t * | ChannelsMask
uint16_t * | ChannelsDefaultMask
uint8_t | ChannelNbRep
uint32_t | MaxRxWindow
uint32_t | ReceiveDelay1
uint32_t | ReceiveDelay2
uint32_t | JoinAcceptDelay1
uint32_t | JoinAcceptDelay2
int8_t | ChannelsDefaultDatarate
int8_t | ChannelsDatarate
int8_t | ChannelsDefaultTxPower
int8_t | ChannelsTxPower
uint32_t | UpLinkCounter
uint32_t | DownLinkCounter
MulticastParams_t * | MulticastList
uint32_t | SystemMaxRxError
uint8_t | MinRxSymbols
float | AntennaGain

## Detailed Description

LoRaMAC MIB parameters

## Field Documentation

## ◆ Class

DeviceClass_t uMibParam::Class

LoRaWAN device class

Related MIB type: MIB_DEVICE_CLASS

## ◆ IsNetworkJoined

eJoinStatus_t uMibParam::IsNetworkJoined

LoRaWAN network joined attribute

Related MIB type: MIB_NETWORK_JOINED

## ◆ AdrEnable

bool uMibParam::AdrEnable

Activation state of ADR

Related MIB type: MIB_ADR

## ◆ NetID

uint32_t uMibParam::NetID

Network identifier

Related MIB type: MIB_NET_ID

## ◆ DevAddr

uint32_t uMibParam::DevAddr

End-device address

Related MIB type: MIB_DEV_ADDR

## ◆ NwkSKey

uint8_t* uMibParam::NwkSKey

Network session key

Related MIB type: MIB_NWK_SKEY

## ◆ AppSKey

uint8_t* uMibParam::AppSKey

Application session key

Related MIB type: MIB_APP_SKEY

## ◆ EnablePublicNetwork

bool uMibParam::EnablePublicNetwork

Enable or disable a public network

Related MIB type: MIB_PUBLIC_NETWORK

## ◆ EnableRepeaterSupport

bool uMibParam::EnableRepeaterSupport

Enable or disable repeater support

Related MIB type: MIB_REPEATER_SUPPORT

## ◆ ChannelList

ChannelParams_t* uMibParam::ChannelList

LoRaWAN Channel

Related MIB type: MIB_CHANNELS

## ◆ Rx2Channel

Rx2ChannelParams_t uMibParam::Rx2Channel

Channel for the receive window 2

Related MIB type: MIB_RX2_CHANNEL

## ◆ Rx2DefaultChannel

Rx2ChannelParams_t uMibParam::Rx2DefaultChannel

Channel for the receive window 2

Related MIB type: MIB_RX2_DEFAULT_CHANNEL

## ◆ ChannelsMask

uint16_t* uMibParam::ChannelsMask

Channel mask

Related MIB type: MIB_CHANNELS_MASK

## ◆ ChannelsDefaultMask

uint16_t* uMibParam::ChannelsDefaultMask

Default channel mask

Related MIB type: MIB_CHANNELS_DEFAULT_MASK

## ◆ ChannelNbRep

uint8_t uMibParam::ChannelNbRep

Number of frame repetitions

Related MIB type: MIB_CHANNELS_NB_REP

## ◆ MaxRxWindow

uint32_t uMibParam::MaxRxWindow

Maximum receive window duration

Related MIB type: MIB_MAX_RX_WINDOW_DURATION

## ◆ ReceiveDelay1

uint32_t uMibParam::ReceiveDelay1

Receive delay 1

Related MIB type: MIB_RECEIVE_DELAY_1

## ◆ ReceiveDelay2

uint32_t uMibParam::ReceiveDelay2

Receive delay 2

Related MIB type: MIB_RECEIVE_DELAY_2

## ◆ JoinAcceptDelay1

uint32_t uMibParam::JoinAcceptDelay1

Join accept delay 1

Related MIB type: MIB_JOIN_ACCEPT_DELAY_1

## ◆ JoinAcceptDelay2

uint32_t uMibParam::JoinAcceptDelay2

Join accept delay 2

Related MIB type: MIB_JOIN_ACCEPT_DELAY_2

## ◆ ChannelsDefaultDatarate

int8_t uMibParam::ChannelsDefaultDatarate

Channels data rate

Related MIB type: MIB_CHANNELS_DEFAULT_DATARATE

## ◆ ChannelsDatarate

int8_t uMibParam::ChannelsDatarate

Channels data rate

Related MIB type: MIB_CHANNELS_DATARATE

## ◆ ChannelsDefaultTxPower

int8_t uMibParam::ChannelsDefaultTxPower

Channels TX power

Related MIB type: MIB_CHANNELS_DEFAULT_TX_POWER

## ◆ ChannelsTxPower

int8_t uMibParam::ChannelsTxPower

Channels TX power

Related MIB type: MIB_CHANNELS_TX_POWER

## ◆ UpLinkCounter

uint32_t uMibParam::UpLinkCounter

LoRaWAN Up-link counter

Related MIB type: MIB_UPLINK_COUNTER

## ◆ DownLinkCounter

uint32_t uMibParam::DownLinkCounter

LoRaWAN Down-link counter

Related MIB type: MIB_DOWNLINK_COUNTER

## ◆ MulticastList

MulticastParams_t* uMibParam::MulticastList

Multicast channel

Related MIB type: MIB_MULTICAST_CHANNEL

## ◆ SystemMaxRxError

uint32_t uMibParam::SystemMaxRxError

System overall timing error in milliseconds.

Related MIB type: MIB_SYSTEM_MAX_RX_ERROR

## ◆ MinRxSymbols

uint8_t uMibParam::MinRxSymbols

Minimum required number of symbols to detect an Rx frame

Related MIB type: MIB_MIN_RX_SYMBOLS

## ◆ AntennaGain

float uMibParam::AntennaGain

Antenna gain

Related MIB type: MIB_ANTENNA_GAIN

The documentation for this union was generated from the following file:

- src/mac/LoRaMac.h